Page MenuHomePhabricator

Weekly reports for 'Implement Flow support in Pywikibot'
Closed, ResolvedPublic

Description

Week 1 (May 25–31)

  • Continued work on the design (T98819)
  • Worked on microtask (T57113)

Week 2 (June 1–7)

  • Reformatted design method, replacing high-level overall design with detailed "Phase 1" design.
  • Microtask patch merged.
  • Submitted patch for created subtask T101146 (classes and UUIDs).
  • Created additional subtasks for second part of Phase 1.
  • Added decorator to site.py (https://gerrit.wikimedia.org/r/#/c/216114/)

Week 3 (June 8–14)

  • Patch for subtask T101146 merged.
  • Submitted patch for second part of Phase 1 (initially T101260; eventually T101261 and T101262 as well)
  • Looked into possible generator implementations for loading topics and replies.

Week 4 (June 15–21)

  • Made revisions to Phase 1/Part 2 patch in response to developer comments.
  • Began work on PHP tasks, including T85521.

Week 5 (June 22–28)

  • Patch submitted for T85521.
  • Continued work on Part 2 patch.

Week 6 (June 29–July 5)

  • Added method in APISite to load a topiclist.
  • Added associated generator for Board and class method in Topic to create objects from the data.
  • Added a method returning a list of a post's replies.
  • Wrote a patch adding view-post-history and view-topic-history API calls to Flow.
  • Submitted midterm evaluation.

Week 7 (July 6–12)

  • Responded to developer comments on my Pywikibot (content loading) and Flow (exposing revision history) patches.
  • Submitted a patch to add topics to boards.
  • Performed initial testing on that patch and had a new board created on the testwiki for Pywikibot testing.

Week 8 (July 13–19)

  • No meeting (personal matters)
  • Added tests for constructor static methods.
  • Uploaded patch for replying to topics (T105439)

Week 9 (July 20–26)

  • Continued adding tests for data-based construction of Post and Topic objects
  • Meeting canceled due to personal matter

Week 10 (July 27–August 2)

  • Updated Flow post/topic history patch
  • Updated all three PWB patches to address concerns

Week 11 (August 3–9)

  • Merged Flow post/topic history patch
  • Merged content loading patch

Meeting (August 7)

Objectives:

  • Merge Flow loading changeset
  • Merge Flow new topic and reply changesets
  • Begin work on T108288

Week 12 (August 10–16)

  • Merged topic creation and reply patches
  • Uploaded patch for locking and unlocking topics (T108288)
  • Discussed possible demos for evaluation (T108969)

Week 13 (August 17–23)

  • Merged topic locking/unlocking patch
  • All code submitted during project merged
  • Began and completed work on demo
  • Completed wrap-up report
  • Added API and end-user documentation

Week 14 (August 24–28)

  • Submitted final evaluation
  • Project complete!

Event Timeline

happy5214 claimed this task.
happy5214 raised the priority of this task from to Normal.
happy5214 updated the task description. (Show Details)
happy5214 added a project: Pywikibot-Flow.
happy5214 moved this task from Backlog to GSoC on the Pywikibot-Flow board.
happy5214 added subscribers: happy5214, Niharika, Aklapper and 2 others.
happy5214 moved this task from GSoC to Weekly Reports on the Pywikibot-Flow board.Jun 11 2015, 9:22 PM
happy5214 updated the task description. (Show Details)Jun 11 2015, 10:19 PM
happy5214 set Security to None.
happy5214 updated the task description. (Show Details)Jun 18 2015, 11:57 PM
happy5214 moved this task from Weekly Reports to GSoC on the Pywikibot-Flow board.
happy5214 updated the task description. (Show Details)Jun 25 2015, 9:01 PM

Reports not up-to-date.

happy5214 updated the task description. (Show Details)Jul 2 2015, 9:20 AM
happy5214 updated the task description. (Show Details)Jul 3 2015, 4:33 AM
happy5214 updated the task description. (Show Details)Jul 9 2015, 7:31 PM
happy5214 updated the task description. (Show Details)Jul 23 2015, 11:58 PM
happy5214 updated the task description. (Show Details)Aug 7 2015, 6:00 AM
happy5214 updated the task description. (Show Details)Aug 7 2015, 8:41 AM
jayvdb updated the task description. (Show Details)Aug 7 2015, 12:16 PM
happy5214 updated the task description. (Show Details)Aug 18 2015, 2:24 PM
happy5214 updated the task description. (Show Details)Aug 21 2015, 12:38 PM
happy5214 updated the task description. (Show Details)Aug 24 2015, 2:36 PM
jayvdb closed this task as Resolved.Aug 26 2015, 9:56 AM